class People:
    def __init__(self, name, job=None, pay=0):
        self.name = name
        self.job  = job
        self.pay  = pay
    def lastName(self):
        return self.name.split()[-1]
    def giveRaise(self, percent):
        self.pay = int(self.pay * (1 + percent))
    def __str__(self):
        return ('[%s: %s, %s]' %
               (self.__class__.__name__, self.name, self.pay))

class Manager(People):
    def __init__(self, name, pay):
        People.__init__(self, name, 'mgr', pay)
    def giveRaise(self, percent, bonus=.10):
        People.giveRaise(self, (percent + bonus))

if __name__ == '__main__':
    bob = People('Bob Smith')
    sue = People('Sue Jones', job='dev', pay=70000)
    print bob
    print sue
    print bob.lastName(), sue.lastName()
    sue.giveRaise(.10)
    print sue
    tom = Manager('tom jones', 80000)
    tom.giveRaise(.10)
    print tom
